Package: org.gradle.api.plugins

## [Java] Class BasePlugin

- org.gradle.api.plugins.BasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class BasePlugin
      extends Object

  A Plugin which defines a basic project lifecycle and some common convention properties.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `ASSEMBLE_TASK_NAME` |
    `static String` | `BUILD_GROUP` |
    `static String` | `CLEAN_TASK_NAME` |
    `static String` | `UPLOAD_ARCHIVES_TASK_NAME` |
    `static String` | `UPLOAD_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BasePlugin (org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String ASSEMBLE_TASK_NAME

    - #### public static final String BUILD_GROUP

    - #### public static final String CLEAN_TASK_NAME

    - #### public static final String UPLOAD_ARCHIVES_TASK_NAME

    - #### public static final String UPLOAD_GROUP

  - ### Constructor Detail

    - #### @javax.inject.Inject public BasePlugin(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer)

  - ### Method Detail

    - #### public void apply(Project project)